## ListEditors `client.Editors.List(ctx, params) (*EditorsPage[Editor], error)` **post** `/gitpod.v1.EditorService/ListEditors` Lists all available code editors, optionally filtered to those allowed in an organization. Use this method to: - View supported editors - Get editor capabilities - Browse editor options - Check editor availability ### Examples - List editors: Shows all available editors with pagination. ```yaml pagination: pageSize: 20 ``` - List editors available to the organization: Shows all available editors that are allowed by the policies enforced in the organization with pagination. ```yaml pagination: pageSize: 20 filter: allowedByPolicy: true ``` ### Parameters - `params EditorListParams` - `Token param.Field[string]` Query param - `PageSize param.Field[int64]` Query param - `Filter param.Field[EditorListParamsFilter]` Body param: filter contains the filter options for listing editors - `AllowedByPolicy bool` allowed_by_policy filters the response to only editors that are allowed by the policies enforced in the organization - `Pagination param.Field[EditorListParamsPagination]` Body param: pagination contains the pagination options for listing environments - `Token string` Token for the next set of results that was returned as next_token of a PaginationResponse - `PageSize int64` Page size is the maximum number of results to retrieve per page. Defaults to 25. Maximum 100. ### Returns - `type Editor struct{…}` - `ID string` - `InstallationInstructions string` - `Name string` - `URLTemplate string` - `Alias string` - `IconURL string` - `ShortDescription string` - `Versions []EditorVersion` versions contains the list of available versions for this editor - `Version string` version is the version string of the editor Examples for JetBrains: 2025.2 ### Example ```go package main import ( "context" "fmt" "github.com/gitpod-io/gitpod-sdk-go" "github.com/gitpod-io/gitpod-sdk-go/option" ) func main() { client := gitpod.NewClient( option.WithBearerToken("My Bearer Token"), ) page, err := client.Editors.List(context.TODO(), gitpod.EditorListParams{ Pagination: gitpod.F(gitpod.EditorListParamsPagination{ PageSize: gitpod.F(int64(20)), }), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "editors": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "installationInstructions": "installationInstructions", "name": "name", "urlTemplate": "urlTemplate", "alias": "alias", "iconUrl": "iconUrl", "shortDescription": "shortDescription", "versions": [ { "version": "version" } ] } ], "pagination": { "nextToken": "nextToken" } } ```